aboutsummaryrefslogtreecommitdiff
path: root/bin/cl
diff options
context:
space:
mode:
Diffstat (limited to 'bin/cl')
-rwxr-xr-xbin/cl11
1 files changed, 7 insertions, 4 deletions
diff --git a/bin/cl b/bin/cl
index 285136e..dd690bb 100755
--- a/bin/cl
+++ b/bin/cl
@@ -118,8 +118,10 @@ for flag in "$@"; do
esac
done
-NO_RC=false
SCRIPT="$(mkstemp)"
+trap 'rm -f "$SCRIPT"' EXIT
+
+NO_RC=false
LISP_CLI_RC="${XDG_CONFIG_HOME:-$HOME/.config}/lisp-cli/init.lisp"
VERBOSE=false
IMAGE=''
@@ -188,6 +190,7 @@ if [ "$PRESERVE_ARGS" = false ]; then
fi
MAIN="$(mkstemp)"
+trap 'rm -f "$MAIN"' EXIT
if [ "$NO_RC" = false ] && [ -e "$LISP_CLI_RC" ]; then
escape_name "$LISP_CLI_RC" > "$MAIN"
fi
@@ -245,7 +248,7 @@ case "$IMPL" in
else
set -x
fi
- exec clisp "$@"
+ clisp "$@"
;;
clozure)
set -- -l "$MAIN" "$@"
@@ -260,7 +263,7 @@ case "$IMPL" in
else
set -x
fi
- exec ccl "$@"
+ ccl "$@"
;;
cmucl)
exit 4
@@ -289,7 +292,7 @@ case "$IMPL" in
else
set -x
fi
- exec sbcl "$@"
+ sbcl "$@"
;;
*)
printf 'Unsupported implementation: "%s".\n\n' "$IMPL" >&2